开源改变世界!!

不适用于 Ramps 1.4 #75

推推 grbl 1年前 (2023-01-26) 89次浏览
关闭
mcentyre 打开了这个问题 2013 年 5 月 8 日 · 5 条评论
关闭

不适用于 Ramps 1.4#75

mcentyre 打开了这个问题 2013 年 5 月 8 日 · 5 条评论

注释

不适用于 Ramps 1.4 #75

您好,
我使用的是 RAMPS 1.4 开发板,之前一直使用 1.0.4 版的通用 G 代码发送器。我遇到了几个问题并下载了 1.0.6 版。应用程序加载,我可以加载文件。我什至可以在 Visualizer 中正确地看到它。但是,当我连接到电路板时,什么也没有发生。我没有看到任何错误,它似乎无法连接。有任何想法吗?是否有我需要修改的配置文件或我可以查看线索的日志文件?

命令窗口中有一条关于 RXTX 版本的消息。不过,我从两个版本都收到了相同的消息,所以我不确定这是否是问题所在。

消息如下:
警告:RXTX 版本不匹配本
机库版本 = RXTX-2.2-20081207
Java 库版本 = RXTX-2.1-7

不适用于 Ramps 1.4 #75
所有者

版本不匹配警告在某些平台上是正常的,自第一个版本以来它没有改变,所以这不应该是问题所在。

当您连接失败时,程序的控制台窗口中会显示任何内容吗?RXTX API 完成连接后,它应该打印出“**** 连接到@波特 ****”。所有错误都会引发异常,该异常也应显示在弹出窗口中。

您可以尝试的另一件事是从命令行运行,只需使用命令“java -jar UniversalGcodeSender.jar”。对于某些错误,控制台上有一些额外的输出。

不适用于 Ramps 1.4 #75
作者

感谢您及时的回复。

我按照您的建议运行了命令,命令窗口中的输出粘贴在下面。您建议我运行该命令的方式与我之前运行它的方式的一个区别是省略了“-Xmx256m”选项。虽然这似乎对结果没有影响。

应用程序窗口似乎加载正常。我可以选择串行端口和速度,然后单击连接。应用程序中的控制台报告“**** 连接到 COM3 @ 115200 波特 ****”,这是我所期望的。只是开发板没有响应任何命令。连接后,我切换到“机器控制”选项卡并发送移动命令。命令在命令表中显示为已发送,但控制器没有响应。

我没有提到但我确定很重要的一件事是我的操作系统是 Windows 8 x64。

这是 cmd 窗口的输出:

C:\CNC\UniversalGcodeSender>java -jar universalgcodesender.jar
[启动] 信息:myJarPath=file:/C:/CNC/UniversalGcodeSender/UniversalGcodeSender.jar
[JarClassLoader] 信息:setProperties(com.simontuffs.onejar.JarClassLoader@1e081c5)
[JarClassLoader] 信息:oneJarPath=文件:/C:/CNC/UniversalGcodeSender/UniversalGcodeSender.jar
[引导] 信息:使用 JarClassLoader:com.simontuffs.onejar.JarClassLoader
[JarClassLoader] 信息:oneJarPath=文件:/C:/CNC/ UniversalGcodeSender/UniversalGcodeSender.jar
2013 年 5 月 8 日晚上 10:13:15 com.willwinder.universalgcodesender.SettingsFactory
信息:设置文件位置:C:\Users\mcent_000.UniversalGcodeSender.properties
2013 年 5 月 8 日晚上 10:13:15 com. willwinder.universalgcodesender.SettingsFactory loadSettings
信息:加载设置
[JarClassLoader] 信息:findResource() 找到:“com/willwinder/universalgcodesender/images/refresh.gif”代码库 main/main.jar
稳定库中的调用者为 null

本机库版本 = RXTX-2.2-20081207 Cloudhopper 构建 rxtx.cloudhopper.net
Java 库版本 = RXTX-2.1-7
警告:RXTX 版本不匹配
Jar 版本 = RXTX-2.1-7
本机库版本 = RXTX-2.2-20081207 Cloudhopper 构建 rxtx .cloudhopper.net

再次感谢您的帮助,
克里斯

不适用于 Ramps 1.4 #75
作者

我一直在研究我使用的两个版本(1.0.4 和 1.0.6)之间的不同之处。

在 1.0.4 的应用程序控制台窗口中连接响应后,显示如下:
startecho: External ResetMarlin 1.0.0echo: Last Updated: May 3 2013 15:11:13 | 作者:(无,默认配置)编译:2013 年 5 月 3 日回显:可用内存:5529 PlannerBufferBytes:1232

不确定这是否有帮助,除了确认我使用的是 Marlin 固件。

这是从不同版本发送的 Gcode 的区别。我已经确认 1.0.4 版发送的代码在从 1.0.6 版的命令行发送时有效。

如果我在 1.0.4 中连接并转到手动控制并单击“X-”,将发送以下内容:
G0 X-1 Y0 Z0
并且在 X 轴上向左移动 1 步可以看到正确的移动。

如果我在版本 1.0.6 中连接并转到手动控制并单击“X-”,将发送以下内容:
G91 G0 X-1
实际上没有移动。在命令表中,不显示任何响应,并且在不重置连接的情况下不会确认其他命令。

如果在 1.0.6 版中,我立即转到“命令”选项卡并输入“G0 X-1 Y0 Z0”,我会看到预期的运动。

我确定这个问题只是我缺乏理解,对于在这里提交问题我深表歉意。我对所有这些都不熟悉,包括 GitHub,我不确定提问的正确程序是什么。有没有更适合提问的讨论区?作为我自己的开发人员,为代码中没有实际确认的问题打开“问题”似乎是错误的。

再次感谢您的帮助和理解,
克里斯

不适用于 Ramps 1.4 #75
所有者

嗨,克里斯,

几周前尝试时,我无法让 v1.0.6 与 Marlin 一起工作。当时我认为 Marlin 和 GRBL 之间只有一些区别。有趣的是,它曾经有效。

在 v1.0.6 中有一个新的“准备就绪”标志,只有在看到 GRBL 引导消息时才会设置。不过,此时发送命令时应该会显示错误。

在最新版本的代码(未发布)中,我刚刚开始添加代码以支持多种固件,比如 TinyG、Smoothie 和 Marlin。当我看到 repetier-host 多么酷并了解到它与 Marlin 一起工作时,Marlin 退居二线。

不适用于 Ramps 1.4 #75
作者

谢谢。我想我会关闭这个问题并等待下一个版本,看看它对我们 Marlin 用户有什么用。

再次感谢您的帮助。